<?php
// $Horde: nag/config/prefs.php.dist,v 1.22 2002/12/27 18:11:05 chuck Exp $

// Make sure that constants are defined.
require_once dirname(__FILE__) . '/../lib/constants.php';

$prefGroups['language'] = array(
    'column' => _("Your Information"),
    'label' => _("Language"),
    'desc' => _("Set the your preferred display language."),
    'members' => array('language'));

$prefGroups['display'] = array(
    'column' => _("Other Options"),
    'label' => _("Display Options"),
    'desc' => _("Change your project sorting and display options."),
    'members' => array('sortby', 'sortdir', 'summary_show_priorities',
                       'summary_show_due', 'show_completed',
                       'summary_show_owner', 'showsummaryselect'));

$prefGroups['summary'] = array(
    'column' => _("Other Options"),
    'label' => _("Summary Options"),
    'desc' => _("Change your summary display options."),
    'members' => array('summary_show_priorities', 'summary_show_due',
                       'summary_show_owner', 'showsummaryselect'));

$prefGroups['share'] = array(
    'column' => _("Other Options"),
    'label' => _("Project Lists"),
    'desc' => _("Manage multiple project lists."),
    'members' => array('projectlistselect')
);
if (Auth::getAuth()) {
    $prefGroups['share']['members'][] = 'projectlists_link';
}

$prefGroups['category_management'] = array(
    'column'  => _("Other Options"),
    'label'   => _("Category Management"),
    'desc'    => _("Allows categories to be added/removed/renamed."),
    'members' => array('category_management'));


// user language
$_prefs['language'] = array(
    'value' => '',
    'locked' => false,
    'shared' => true,
    'type' => 'select',
    'desc' => _("Select your preferred language:"));

// user preferred sorting column
$_prefs['sortby'] = array(
    'value' => IGAL_SORT_NAME,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(IGAL_SORT_NAME => _("Project Name"),
                    IGAL_SORT_CATEGORY => _("Category"),
                    IGAL_SORT_DESC => _("Due Date"),
                    IGAL_SORT_OWNER => _("Owner")),
    'desc' => _("Default sorting criteria:"));

// user preferred sorting direction
$_prefs['sortdir'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(IGAL_SORT_ASCEND => _("Ascending"),
                    IGAL_SORT_DESCEND => _("Descending")),
    'desc' => _("Default sorting direction:"));

// show complete/incomplete projects?
$_prefs['show_completed'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(1 => _("All projects"),
                    0 => _("Incomplete projects"),
                    2 => _("Complete projects")),
    'desc' => _("Show complete, incomplete, or all projects in the project list?"));

// show priorities in summary?
$_prefs['summary_show_priorities'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show priorities in the summary view?"));

// show due dates in summary?
$_prefs['summary_show_due'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show due dates in the summary view?"));

// show project list name in summary?
$_prefs['summary_show_owner'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show owner in the summary view?"));

$_prefs['showsummaryselect'] = array('type' => 'special');

$_prefs['summary_categories'] = array(
    'value' => '',
    'locked' => false,
    'shared' => false,
    'type' => 'implicit');

// user project categories
$_prefs['project_categories'] = array(
    'value' => '1:Tile|2:Windows|3:Doors|4:Hardware|5:Flooring|'. 
               '6:Kitchens|7:Baths|8:Plumbing|9:Landscaping|10:Water Features',
    'locked' => false,
    'shared' => false,
    'type' => 'implicit');

// allow category management
$_prefs['category_management'] = array(
    'value' => '',
    'locked' => true,
    'shared' => false,
    'type' => 'special',
    'desc' => _("Category Management"));

// default projectlist selection widget
$_prefs['projectlistselect'] = array('type' => 'special');

// default projectlists
// Set locked to true if you don't want users to have multiple projectlists.
$_prefs['default_projectlist'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => true,
    'type' => 'implicit');

// Link to the project list management
if (Auth::getAuth()) {
    $_prefs['projectlists_link'] = array(
        'type' => 'link',
        'url' => 'projectlists.php',
        'img' => 'igal.gif',
        'desc' => _("Edit your project lists.")
    );
}

// store the projectlists to diplay
$_prefs['display_projectlists'] = array(
    'value' => 'a:0:{}',
    'locked' => false,
    'shared' => false,
    'type' => 'implicit');
