<?php
/**
 * $Horde: igal/prefs.php,v 1.25 2003/01/03 12:44:45 jan Exp $
 *
 * Copyright 2001-2003 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

function prefs_callback()
{
    global $prefs, $js_onLoad;

    if ($prefs->isDirty('language')) {
        $js_onLoad = 'if (window.parent.frames.horde_menu) window.parent.frames.horde_menu.location.reload();';
    }
}

function handle_category_management($updated)
{
    $actionID = Horde::getFormData('managementActionID');
    $categoryID = Horde::getFormData('category_id');
    $categoryName = Horde::getFormData('category_name');

    switch ($actionID) {
        case IGAL_DELETE_CATEGORY:
            Igal::deleteCategory($categoryID);
            break;

        case IGAL_RENAME_CATEGORY:
            Igal::renameCategory($categoryID, $categoryName);
            break;

        case IGAL_ADD_CATEGORY:
            Igal::addCategory($categoryName);
            break;

        default:
            /* must have been the Save button */
            return true;
    }

    /* return false so it stays on this page */
    return false;
}

function handle_projectlistselect($updated)
{
    global $prefs;

    $default_projectlist = Horde::getFormData('default_projectlist');
    if (!is_null($default_projectlist)) {
        $projectlists = Igal::listProjectlists();
        if (is_array($projectlists) && isset($projectlists[$default_projectlist])) {
            $prefs->setValue('default_projectlist', $default_projectlist);
            $updated = true;
        }
    }
    return $updated;
}

function handle_showsummaryselect($updated)
{
    global $prefs;

    $summary_categories = Horde::getFormData('summary_categories');
    $prefs->setValue('summary_categories', $summary_categories);
    return true;
}

define('IGAL_BASE', dirname(__FILE__));
require_once IGAL_BASE . '/lib/base.php';
require_once HORDE_BASE . '/lib/PrefsUI.php';
require IGAL_BASE . '/config/prefs.php';

/* See if we have a preferences group set. */
$group = Horde::getFormData('group');
$js_onLoad = null;

if (PrefsUI::handleForm($group)) {
    $group = null;
    include IGAL_BASE . '/config/prefs.php';
}

$title = _("User Options");
require IGAL_TEMPLATES . '/common-header.inc';
require IGAL_BASE . '/menu.php';
$notification->notify();

PrefsUI::generateUI($group);

require IGAL_TEMPLATES . '/common-footer.inc';
