--
-- Table structure for table 'categories'
--

DROP TABLE IF EXISTS igal_categories;
CREATE TABLE igal_categories (
  category_id 		int(11) NOT NULL auto_increment,
  category_name		varchar(40) NOT NULL default '',
  category_icon 	varchar(40) default NULL,
  PRIMARY KEY  		(category_id,category_name)
);


--
-- Table structure for table 'images'
--

DROP TABLE IF EXISTS igal_images;
CREATE TABLE igal_images (
  project_id 	    double NOT NULL,
  image_id          double NOT NULL,
  image_owner	    varchar(255) NOT NULL,
  project_default   double default 0,
  image_desc        blob NOT NULL,
  image_file_name   varchar(40) default NULL,
  PRIMARY KEY       (image_id),
  KEY PROJECTID     (project_id),
  KEY image_id 	    (image_id)
);


--
-- Table structure for table 'projects'
--

DROP TABLE IF EXISTS igal_projects;
CREATE TABLE igal_projects (
  project_id 		double NOT NULL,
  project_owner 	varchar(255) NOT NULL,
  project_name 		varchar(40) default NULL,
  project_category 	smallint not null default 0,
  project_private	smallint not null default 0,
  project_desc	 	blob,
  PRIMARY KEY  		(project_id),
  KEY project_id	(project_id)
);
