<?php
/**
 * $Horde: igal/view.php,v 1.22 2003/01/10 19:54:55 chuck Exp $
 *
 * Copyright 2001-2003 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('IGAL_BASE', dirname(__FILE__));
require_once IGAL_BASE . '/lib/base.php';

/* If we aren't provided with a project, redirect to the project list. */
$project_id = Horde::getFormData('project');
$projectlist_id = Horde::getFormData('projectlist');
$actionID = Horde::getFormData('actionID');

if (!isset($project_id)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}
$share = $GLOBALS['igal_shares']->getShare($projectlist_id);
if (is_a($share, 'PEAR_Error') || !$share->hasPermission(Auth::getAuth(), _PERMS_READ)) {
    $notification->push(_("You do not have permission to view this projectlist."), 'horde.error');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}
switch ($actionID) {
 case IGAL_VIEW_PROJECT:
    /* Get the current project list. */
    $project = Igal::getProject($projectlist_id, $project_id);

    /* Set the page title to the current project's name, if it exists. */
    $title = (!$project) ? $project['name'] : _("Project Details");

    $js_onLoad = null;
    require IGAL_TEMPLATES . '/common-header.inc';

    $print_view = (Horde::getFormData('print') == 'true');
    if ($print_view) {
        require_once $registry->getParam('templates', 'horde') . '/javascript/print.js';
    } else {
        $print_link = Horde::addParameter('view.php', 'project=' . $project_id);
        $print_link = Horde::addParameter($print_link, 'projectlist=' . $projectlist_id);
        $print_link = Horde::addParameter($print_link, 'print=true');
        $print_link = Horde::url($print_link);
        if ($browser->hasFeature('javascript')) {
            require_once $registry->getParam('templates', 'horde') . '/javascript/open_print_win.js';
        }

        require IGAL_BASE . '/menu.php';
        $notification->notify();
    }

    /* If the requested project doesn't exist, display an error message. */
    if (!$project) {
        require IGAL_TEMPLATES . '/view/no-project.inc';
    } else {
        require IGAL_TEMPLATES . '/view/headers.inc';
        if (!$print_view) {                                                        
            require IGAL_TEMPLATES . '/view/navbar.inc';                            
        }
        require IGAL_TEMPLATES . '/view/description.inc';
        if (!$print_view) {
        	require IGAL_TEMPLATES . '/view/images.inc';
            require IGAL_TEMPLATES . '/view/navbar.inc';
        }
    }
 break;
 case IGAL_VIEW_IMAGE:
    $image_id = Horde::getFormData('image');
    /* Get the current project list. */
    $project = Igal::getProject($projectlist_id, $project_id);
    $image = Igal::getImage($projectlist_id, $project_id, $image_id);

    /* Set the page title to the current project's name, if it exists. */
    $title = (!$project) ? _("Image For: ") . $project['name'] : _("Image Details");
                                                                                                                                                    
    $js_onLoad = null;
    require IGAL_TEMPLATES . '/common-header.inc';
    $print_view = (Horde::getFormData('print') == 'true');
    if ($print_view) {
        require_once $registry->getParam('templates', 'horde') . '/javascript/print.js';
    } else {
        $print_link = Horde::addParameter('view.php', 'project=' . $project_id);
        $print_link = Horde::addParameter($print_link, 'projectlist=' . $projectlist_id);
        $print_link = Horde::addParameter($print_link, 'image=' . $image_id);
        $print_link = Horde::addParameter($print_link, 'actionID=' . IGAL_VIEW_IMAGE);
        $print_link = Horde::addParameter($print_link, 'print=true');
        $print_link = Horde::url($print_link);
        if ($browser->hasFeature('javascript')) {
            require_once $registry->getParam('templates', 'horde') . '/javascript/open_print_win.js';
        }
                                                                                                                                                    
        require IGAL_BASE . '/menu.php';
        $notification->notify();
    }

    /* If the requested project doesn't exist, display an error message. */
    if (!$project || !$image) {
        require IGAL_TEMPLATES . '/view/no-image.inc';
    } else {
        require IGAL_TEMPLATES . '/view/headers-image.inc';
        if (!$print_view) {
            require IGAL_TEMPLATES . '/view/navbar-image.inc';
        }
        require IGAL_TEMPLATES . '/view/description-image.inc';
        if (!$print_view) {
            require IGAL_TEMPLATES . '/view/navbar-image.inc';
        }
    }

 break;
}
    require IGAL_TEMPLATES . '/common-footer.inc';

